libcomps: /build/libcomps/src/libcomps-0.1.21/libcomps/src/comps_docgroupid.h File Reference

libcomps ..

Loading...
Searching...
No Matches
Data Structures | Functions
comps_docgroupid.h File Reference

COMPS_DocGroupId header file. More...

`#include <stdbool.h>`
`#include "comps_utils.h"`
`#include "comps_log.h"`
`#include "comps_validate.h"`
`#include "comps_default.h"`
`#include "comps_obj.h"`

Go to the source code of this file.

## Data Structures
struct | COMPS_DocGroupId

## Functions
COMPS_Object * | comps_docgroupid_get_name (COMPS_DocGroupId *gid)
void | comps_docgroupid_set_name (COMPS_DocGroupId *gid, char *name, char copy)
COMPS_Object * | comps_docgroupid_get_default (COMPS_DocGroupId *gid)
void | comps_docgroupid_set_default (COMPS_DocGroupId *gid, int def)

## Detailed Description

COMPS_DocGroupId header file.

## Function Documentation

## ◆ comps_docgroupid_get_default()

COMPS_Object * comps_docgroupid_get_default | ( | COMPS_DocGroupId * | gid | ) |

COMPS_DocGroupId default getter

Parameters

  gid | COMPS_DocGroupId object

Returns
  COMPS_Num object representing GroupId default with incremented reference counter

## ◆ comps_docgroupid_get_name()

COMPS_Object * comps_docgroupid_get_name | ( | COMPS_DocGroupId * | gid | ) |

COMPS_DocGroupId name getter

Parameters

  gid | COMPS_DocGroupId object

Returns
  COMPS_Str object representing GroupId name with incremented reference counter

## ◆ comps_docgroupid_set_default()

void comps_docgroupid_set_default | ( | COMPS_DocGroupId * | gid,
|  | int | def )

COMPS_DocGroupId name setter

Parameters

  gid | COMPS_DocGroupId object
  def | COMPS_DocGroupId default value.

Old defaut objects reference counter will be decremented

## ◆ comps_docgroupid_set_name()

void comps_docgroupid_set_name | ( | COMPS_DocGroupId * | gid,
|  | char * | name,
|  | char | copy )

COMPS_DocGroupId name setter

Parameters

  gid | COMPS_DocGroupId object
  name | new name of COMPS_DocGroupId object. Old name object's reference
  copy | deprecated parameter counter will be decremented